package com.liang.service;

import com.liang.entity.BasePerson;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

import java.util.List;
import java.util.Map;

/**
 * (BasePerson)表服务接口
 *
 * @author makejava
 * @since 2023-02-15 23:13:19
 */
public interface BasePersonService {

    /**
     * 通过ID查询单条数据
     *
     * @param Genid 主键
     * @return 实例对象
     */
    BasePerson queryById(Integer Genid);

    /**
     * 分页查询
     *
     * @param basePerson  筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    Page<BasePerson> queryByPage(BasePerson basePerson, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param basePerson 实例对象
     * @return 实例对象
     */
    int insert(BasePerson basePerson);

    /**
     * 修改数据
     *
     * @param basePerson 实例对象
     * @return 实例对象
     */
    int update(BasePerson basePerson);

    /**
     * 通过主键删除数据
     *
     * @param Genid 主键
     * @return 是否成功
     */
    boolean deleteById(Integer Genid);

    /**
     * 获取人员列表
     *
     * @return
     */
    List<BasePerson> getBasePersonList(Map map);

    /**
     * 获取项目负责人
     *
     * @return
     */
    List<Map<String, String>> getDKYFZR();

    /**
     * 批量删除
     *
     * @param idList
     * @return
     */
    int batchDelete(List<Integer> idList);

    /**
     * 获取单位人员列表
     *
     * @return
     */
    List<BasePerson> getPersonListByDw(Integer dw, String xm);
}
